> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Config

> Get public provider availability and session policy for an enabled project.



## OpenAPI

````yaml /openapi.json get /v1/apps/{projectId}/auth/config
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/apps/{projectId}/auth/config:
    get:
      tags:
        - appauth
      summary: Get Public Config
      description: >-
        Get public provider availability and session policy for an enabled
        project.
      operationId: appauth.getPublicConfig
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project id (UUID) or globally unique project slug.
      responses:
        '200':
          description: Public app-auth settings.
          content:
            application/json:
              schema:
                type: object
                properties:
                  enabled:
                    type: boolean
                  providers:
                    type: array
                    items:
                      type: string
                      enum:
                        - google
                  accessTokenTtlSeconds:
                    type: integer
                required:
                  - enabled
                  - providers
                  - accessTokenTtlSeconds
        '404':
          description: No enabled app auth for this project.
      security: []

````